;;!
;; Release a collection and any documentation as a .plt and .tar.gz bundles.
(module make-release
	mzscheme

	(require (lib "util.ss" "schemeforge"))

	;; (contract String -> #void)
	;; (signature (make-release package))
	;;
	;; Create a tar and plt of a package in the collects
	;; directory, ready for uploading to Sourceforge.
	(define (make-release package)
	  (let* ((tar-file (string-append package ".tar"))
		 (path (string-append package "/"))
		 (tar (string-append "tar -cvf " tar-file " " path))
		 (gzip (string-append "gzip " tar-file)))
	    (current-directory "..")
	    (display "Current directory ")
	    (display (current-directory))
	    (newline)
	    (system-visible tar)
	    (system-visible gzip)))
	)
