(module util-test 
	mzscheme

	(require (lib "test.ss" "schemeunit")
		 (lib "util.ss" "schemeforge"))

	(provide util-tests)

	(define util-tests
	  (make-test-suite
	   "Util tests"
	   (make-test-case "maybe-make-directory that doesn't exist"
			   (begin
			     (maybe-make-directory "testdir")
			     (assert-true (directory-exists? "testdir")))
			   (if (directory-exists? "testdir")
			       (delete-directory "testdir"))
			   (if (directory-exists? "testdir")
			       (delete-directory "testdir")))
	   (make-test-case "maybe-make-directory that does exist"
			   (begin
			     (maybe-make-directory "testdir")
			     (assert-true (directory-exists? "testdir")))
			   (make-directory "testdir")
			   (if (directory-exists? "testdir")
			       (delete-directory "testdir")))
	   ))
	)